
from django.core.management import setup_environ
import settings

setup_environ(settings)

from SonaDatabase.models import *
from SonaFilesystem.filesystem import *

import os

from PyQt4 import QtGui, QtCore
from mainUI import Ui_MainWindow

class UkhraUI(Ui_MainWindow, QtGui.QMainWindow):
    """Ui class"""
    def __init__(self):
        QtGui.QMainWindow.__init__(self)
        self.setupUi(self)
        row = 1
        for image_file in Files.objects.all():
            ed = ExifData.objects.filter(file=image_file)[0]
            if ed.thumbnail:
                data = str(ed.thumbnail)
                qb = QtCore.QByteArray.fromBase64(data)
                qp = QtGui.QPixmap()
                qp.loadFromData(qb,'JPEG')
                qicon = QtGui.QIcon(qp)
                self.resultTable.insertRow(0)
                self.resultTable.setRowHeight(0,170)
                self.resultTable.setColumnWidth(0,160)
                self.resultTable.setItem(0,0,QtGui.QTableWidgetItem(qicon,''))
                self.resultTable.setItem(0,1,QtGui.QTableWidgetItem(os.path.join(image_file.file_path,image_file.file_name)))
                row += 1



class UkhraApp(QtGui.QApplication):
    """The application class"""
    def __init__(self,args=None):
        QtGui.QApplication.__init__(self,args)
        self.mywindow = UkhraUI()
        self.mywindow.show()
        self.exec_()

